Bug 619411 (CVE-2010-2784) - CVE-2010-2784 qemu: insufficient constraints checking in exec.c:subpage_register()
Summary: CVE-2010-2784 qemu: insufficient constraints checking in exec.c:subpage_regis...
Status: CLOSED ERRATA
Alias: CVE-2010-2784
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100728,reported=20100728,sou...
Keywords: Security
Depends On: 619412 619413 619414 619418 619421
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-29 13:47 UTC by Petr Matousek
Modified: 2015-10-15 21:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-02 18:04:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0622 normal SHIPPED_LIVE Important: rhev-hypervisor security and bug fix update 2010-08-19 21:45:16 UTC
Red Hat Product Errata RHSA-2010:0627 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-08-19 21:31:45 UTC

Description Petr Matousek 2010-07-29 13:47:22 UTC
Description of the problem:
It is possible that subpage mmio is registered over existing memory page. When this happens "memory" will have real memory address and not index into io_mem array so next access to the page will generate segfault. It is uncommon to have some part of a page to be accessed as memory and some as mmio, but qemu shouldn't crash even when guest does stupid things. So lets just pretend that the rest of the page is unassigned if guest configure part of the memory page as mmio.

Public post:
http://www.spinics.net/lists/kvm/msg39173.html

Comment 5 errata-xmlrpc 2010-08-19 21:31:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0627 https://rhn.redhat.com/errata/RHSA-2010-0627.html

Comment 6 errata-xmlrpc 2010-08-19 21:45:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0622 https://rhn.redhat.com/errata/RHSA-2010-0622.html


Note You need to log in before you can comment on or make changes to this bug.